Bug 465686 - no 64 bit support
no 64 bit support
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gmp (Show other bugs)
rawhide
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 11:36 EDT by Juergen Bullinger
Modified: 2008-10-14 03:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 03:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juergen Bullinger 2008-10-05 11:36:58 EDT
Description of problem:
It seems that there is no compiled version for 64 bit for GMP.
This is of course no error, but because GMP is also used for cryptography by some packages and probably no other package will benefit more of 64bit operations than gmp if you consider performance, I would really be looking forward to have a 64 bit version precompiled.
Could you please provide such a package?

Version-Release number of selected component (if applicable):


How reproducible:
I hope not long anymore :o)

Steps to Reproduce:
1. Install GMP
2. Be disapointed, because it is only 32 bit :o(
3.
  
Actual results:
It's only 32 bit. Why use a 64 bit Installation if one of the packages with the biggest improvement in performace is just present in 32 bit?

Expected results:
Have 64 bit for all packages which have a significant improvement if compiled in 64 bit also present in 64 bit.



Additional info:
Did I already mention that GMP should be compiled 64 bit for x86_64 :o)
Comment 1 Ivana Varekova 2008-10-06 08:28:09 EDT
Which version of gmp package do you use? 
(rpm -q --qf "%{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\n" gmp)
Comment 2 Juergen Bullinger 2008-10-13 13:29:30 EDT
Sorry, I just discovered your mail. In the meantime I already removed rawhide from my system and installed Fedora 9. But I can tell, that the package I installed was the one on the DVD image of 09/25/2008. Hope that helps.
Comment 3 Ivana Varekova 2008-10-14 03:02:49 EDT
Hello, that does not help - there is necessary to know the arch tag of your package - which can't be derived from it.
For now I'm closing this bug as insufficient data - but it is quite probable you have installed the package from 32bit arch.

Note You need to log in before you can comment on or make changes to this bug.